# std::basic_string<CharT,Traits,Allocator>::capacity

From cppreference.com
< cpp‎ | string‎ | basic string

size_type capacity() const; |  | (until C++11)
size_type capacity() const noexcept; |  | (since C++11)

Returns the number of characters that the string has currently allocated space for.

### Parameters

(none)

### Return value

Capacity of the currently allocated storage

### Complexity

Constant

### Example

Run this code

    #include <iostream>
    #include <string>

    void show_capacity(std::string const& s)
    {
        std::cout << "'" << s << "' has capacity " << s.capacity() << ".\n";
    }

    int main()
    {
        std::string s{"Exemplar"};
        show_capacity(s);

        s += " is an example string.";
        show_capacity(s);
    }

Possible output:

    'Exemplar' has capacity 15.
    'Exemplar is an example string.' has capacity 30.

### See also

size length | returns the number of characters (public member function)
reserve | reserves storage (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string/capacity&oldid=110144"